# USSMP Feature Documentation

Below are features in the USSMP.

Click [here](https://gitea.pengucc.com/Pengu/USSMP-Docs/src/branch/main/Rules.md) for rules.

## Datapacks

### Amethyst Traveling

*Amethyst Traveling allows you to create teleport pads with Amethyst and different tier blocks. They can be linked by holding an amethyst crystal and stepping on each pad. Every link and teleport costs 1 Amethyst crystal upon use. You can also use nametags to have text show the destinations name on screen.*

| Block | Teleport Time | Available Dimensions |
| ----------- | ----------- | ----------- |
| Copper | 10 Seconds| <span style="color:green">Overworld</span> |
| Iron | 6 Seconds| <span style="color:green">Overworld</span> |
| Gold | 3 Seconds| <span style="color:green">Overworld</span> |
| Emerald | 2 Seconds| <span style="color:green">Overworld</span> |
| Diamond | 1.5 Seconds| <span style="color:green">Overworld</span>, <span style="color:red">Nether</span> |
| Netherite | 1 Second| <span style="color:green">Overworld</span>, <span style="color:red">Nether</span>, <span style="color:purple">End</span> |

### Blast Furnace Extended

*Blast furnaces can now smelt blocks that could previously only be smelted in a normal furnace.*

## Custom Enchants

### Deeper Dark Enchantments

- To use these enchantments, drop your armor on the ground and throw the book onto it

CLEARSIGHT - Protects you from Blindness (Helmet)

SONICBOOM - Allows you to shoot sonic lasers (Chestplate)

SAFEFALL - Uses XP to Reduce Fall Damage (Leggings)

DARKSPEED - Allows you to move faster in Darkness (Boots)